import { request } from '@/utils/request'

export function fetchGetAgentApplicationList<T>(payload: object) {
  return request.post<T>('/bizAgentApplicationMallRest/getList.json', payload)
}

export function fetchCollectOrCancelAgentApplication<T>(id: number | undefined) {
  return request.post<T>(`/bizAgentApplicationMallRest/collectOrCancelAgentInMall.json?id=${id}`)
}

export function fetchGetMallCategoryList<T>() {
  return request.post<T>('/bizAgentApplicationMallRest/getMallCategoryList.json')
}
